MCP Tools Reference: paydeveloper.googleapis.com

Tool: search_documentation

Searches and retrieves the most relevant, up-to-date sections from the official Google Pay and Google Wallet developer documentation and code samples.

The following code sample shows how to use curl to call the search_documentation MCP tool.

Curl Request
curl --location 'https://paydeveloper.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "search_documentation",
    "arguments": {
      // Provide these details according to the MCP tool specification.
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'

Input Schema

Request message for searching documentation.

SearchDocumentationRequest

JSON representation
{
  "userQuery": string,
  "languageCode": string
}
Fields
userQuery

string

Required. The query to search for.

languageCode

string

Optional. The IETF BCP-47 language code of the search query.

Output Schema

Response message for searching documentation.

SearchDocumentationResponse

JSON representation
{
  "results": [
    {
      object (DocumentChunk)
    }
  ]
}
Fields
results[]

object (DocumentChunk)

The document chunks matching the search query, and sorted using a relevance score that assesses the similarity between the user query and the content of the chunk.

DocumentChunk

JSON representation
{
  "title": string,
  "uri": string,
  "content": string
}
Fields
title

string

Specifies the title of the document that the chunk belongs to.

uri

string

Specifies the URI for the document that the chunk belongs to.

content

string

Contains the content of the chunk.

Tool Annotations

Tool annotations are sent to MCP clients to describe the basic risk of a given tool. Most clients treat these hints as untrusted, but they can be used to decide when a confirmation prompt might be sent to a user.

Along with the title string, the following boolean hints are defined as follows:

  • readOnlyHint: If true, the tool doesn't modify its environment. Default: false.
  • destructiveHint: If true, then the tool can perform destructive actions. If false, then the tool can only perform additive actions. Default: true.
  • idempotentHint: If true, then calling the tool repeatedly with the same arguments will have no additional effect on its environment. Default: false.
  • openWorldHint: If true, then the tool can interact with an 'open world' of external entities. If false, then the tool can only interact with internal entities. For example, a web search tool would be open world, while a memory tool would not be open world.

Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌